Coupons

POST Search for coupons.

POST /organizations/{organizationId}/coupons

Operation ID: couponsSearch. Security: AmOAuth2 (sfcc.promotions, sfcc.promotions.rw).

The Coupon Search document contains a search object that allows filtering on various attributes.

The following searchable query attributes can be used to narrow the search:

Attribute Type
couponId String
description String
type one of {"single_code", "multiple_codes", "system_codes"}
enabled Boolean

Note that only searchable attributes can be used in sorting.

Parameters

  • organizationId (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.

    Example

    f_ecom_zzxy_prd
  • siteId (query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.

    Example: SiteId

    RefArch

Request body

Media type: application/json. Schema: SearchRequest.

Responses

  • 200 Coupon information successfully retrieved.

    Media type: application/json. Schema: CouponSearchResult.

  • 400 Returned when the query is ill-formed.